@import '/styles/global.css';
@import '/styles/HeaderManager.css';
@import '/styles/FooterManager.css';
@import '/styles/SignupElement.css';
@import '/styles/CookieConsent/CookieConsent.css';
@import '/styles/CookieConsent/CookiePreferences.css';
@import '/styles/ContactElement.css';


.iot-introduction {
    max-width: 800px;
    text-align: center;
    padding: 50px 20px;
    margin: 0 auto;
}
.intro-title {
    padding-bottom: 25px;
}
.iot-introduction .inline-links {
    padding-top: 20px;
}

/*----- Devices Are Smarter and More Connected Banner -----*/
.banner {
    margin-top: 100px;
    background-image: url('/assets/images-v3/IoT_1.webp');
    background-position: left;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: auto;
    object-fit: none;
}
.banner__text {
    max-width: 1500px;
    margin-inline: auto;
    padding-inline: 120px;
    text-align: left;
}
#learn-more {
    font-family: "Inter";
    font-weight: 700;
    text-transform: uppercase;
}
.banner__text h2 {
    color: #fff;
    padding-bottom: 40px;
    padding: 100px 0px 0px 55%;
}
.banner__text p {
    color: #fff;
    padding: 10px 0px 0px 55%;
}
.banner__text-items{
    display: flex;
    max-width: 1500px;
    justify-content: space-around;
    margin-top: 10px;
    margin-inline: auto;
    padding-inline: 120px;
}

.banner__text-items li {
    color: var(--color-white);
    font-family: "Inter";
    text-transform: uppercase;
    padding-top: 70px;
    padding-bottom: 30px;
    padding-left: 10px;
    list-style-type: '✓';
    list-style-position: outside;
}

.banner__text-items li:nth-child(1) {
    margin-left: 15px;
}
.banner__text-items li:nth-child(4) {
    margin-right: 0;
}

/*---  GATEWAY  -----*/
.gateway {
    max-width: 900px;
    padding: 100px 20px 30px 20px;
    text-align: center;
    margin: 0 auto;
}
.gateway h2 {
    padding: 30px 20px;
}
.gateway p {
    padding-bottom: 20px;
}
/*---  industry samples flex  -----*/
.carousel__container {display: none;}
.sample-industries-mini {display: none;}

.sample-industries {
    display: flex;
    flex-wrap: wrap;
    max-width: 1500px;
    padding-inline: 120px;
    margin: 0 auto;
}
.sample-industries__item {
    width: 25%;
    position: relative;
    margin-bottom: 30px; /* Adjusted to 30px */
}
.image-container {
    position: relative;
    height: 100%;
    overflow: hidden;
}
.sample-industries__item img {
    width: 100%;
    object-fit: cover;
}
/* Accordion Styles */
.sample-industries__content {
    cursor: pointer;
    transition: 0.5s;
    position: absolute;
    padding-inline: 20px;
    color: var(--color-white);
    z-index: 10;
}


.sample-industries h4 {
    font-family: "Inter";
    font-weight: 500;
    text-transform: uppercase;
    bottom: 10%;
}
.image-container-imag.active {
    font-family: "Inter";
    font-weight: 500;
    text-transform: uppercase;
    bottom: 80%;
}
.panel {
    max-height: 0;
    overflow-y: hidden;
    transition: max-height 0.5s ease-in, min-height 0.0s ease-out;
}
.panel.active {
    max-height: 200px; /* Adjust this value as needed */
    position: absolute;
    top: 30%;
    padding-top: 10px;
    padding-bottom: 10px;
}
.sample-industries .panel p {
    font-family: "Roboto";
    font-size: .9rem;
    padding: 0 5px 40px 20px;
    color: var(--color-white);
    line-height: 1.5em; 
}



/* END OF TEST INDUSTRIES ACCORDION */

/*  SECTION Location Based Communication */
.cloud-container {
    padding-top: 100px;
    text-align: center;
    width: 100%;
    max-width: 1200px;
    margin: auto;
  }
  .cloud-container h2 {
    max-width: 700px;
    padding-top: 100px;
  }
  .cloud-container p {
    max-width: 900px;
    padding-bottom: 30px;
  }
  
  .cloud-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 460px 350px;
    gap: 20px;
  }
  .cloud-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-inline: 30px;
    width: 100%;
  }
  .cloud-item h4,
  .cloud-item p {
    font-family: "Inter";
    font-weight: 500;
    font-size: 1.3rem;
    transition: transform 0.3s ease-in-out;
  }
  .learn-more {
    font-family: "Inter";
    font-weight: 700;
    text-transform: uppercase;
    color: var(--color-white);
}
.learn-more a:hover {
    text-decoration: underline;
}
 
  .cloud-item-1 {
    grid-column: 1 / 3;
    background-image: url('/assets/images-v3/IoT_3.webp');
    background-position: center;
    border-top-left-radius: 40px 40px;
    width: 100%;
  }
  .cloud-item-2 {
    background-image: url('/assets/images-v3/IoT_4.webp');
    background-position: right;
  }
  .cloud-item-3 {
    background-image: url('/assets/images-v3/IoT_5.webp');
    background-position: left;
    border-bottom-right-radius: 40px 40px;
  }
  .cloud-title {
    text-transform: uppercase;
    color: var(--color-white);
    padding-bottom: 20px;
  }
  .cloud-text {
    color: var(--color-white);
  }
  /*   real-time Section    */
  
  .real-time-container h2 {
    text-align: center;
  }
  
  .real-time-container p {
    text-align: center;
    padding-bottom: 30px;
  }
  
/*------  Re-Shaping Public TransPortation  IoT Page-------*/
.reshaping-public-trans {
    margin: 0 auto;
    max-width: 1500px;
    padding: 80px 120px;
    display: flex;
    gap: 70px;
    align-items: center;
}

.reshaping-public-trans-image {
    margin-top: 0px;
    padding: 0px; 
    width: 45%;
    margin-left: 0;
}
.reshaping-public-trans-image img {
    border-bottom-right-radius: 40px 40px;
}
.mini-tab-image-train {
    display: none;
}
.reshaping-public-trans-text {
    display: flex;
    flex-direction: column;
    width: 50%;
    padding: 0px;
}
.reshaping-public-trans-text h2,
.reshaping-public-trans-text p,
.reshaping-public-trans-text a {
    margin-left: 0;
}
.title-above-image {
    display: none;
}
.title-with-text {
    display: block;
}
.reshaping-public-trans-text a {
    font-size: .7rem;
}
.learn-more {
    font-family: "Inter";
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
}
.learn-more:hover {
    text-decoration: underline;
}





 @media (max-width: 1440px){
    .banner__text-items li {
        font-size: .9rem;
    }
}


/* SMALL LAPTOPS */
@media (max-width: 1024px) {

    .banner__text {
        padding-inline: 20px;
    }
    .banner__text-items{
        padding-inline: 20px;
    }

    /*---  industry samples flex  -----*/
    .sample-industries {
        display: flex;
        max-width: 1500px;
        padding-inline: 20px;
    }

    /*.sample-industries__content {
        position: absolute;
        top: 245px; /* Adjust the distance from the top as needed 
        left: 0;
        right: 0;
        color: var(--color-white);
        padding-inline: 15px;
    }
    
   
    /*------  Re-Shaping Public TransPortation  IoT Page-------*/
    .reshaping-public-trans {
        margin: 0 auto;
        max-width: 1500px;
        padding: 50px 20px;
        display: flex;
        gap: 70px;
        align-items: center;
    }

    .reshaping-public-trans-image {
        margin-top: 0px;
        padding: 0px; 
        width: 40%;
        margin-left: 20px;
    }

    .reshaping-public-trans-text {
        display: flex;
        flex-direction: column;
        width: 54%;
        padding: 0px;
        margin: 0;
    } 
}




/* SMALL TABLETS */
@media (max-width: 768px) {

 /*--------------------*/
    .banner {
        margin-top: 100px;
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
        url('/assets/images-v3/IoT_1.webp');   
    }
    .banner__text {
        max-width: 1500px;
        margin-inline: auto;
        text-align: center;
    }
    .banner__text h2 {
        color: #fff;
        padding-bottom: 40px;
        padding: 70px 50px 0px 50px;
    }
    .banner__text p {
        color: #fff;
        padding: 20px 50px 0px 50px;
    }

    

 
    /*---  industry samples mini tablet screen  -----*/
    .sample-industries {display: none;}


    .industries-mini {
        display: flex;
        flex-wrap: wrap;
        padding-inline: 20px;
    }
    
    .industries-mini__item {
        width: 50%;
        position: relative;
    }

    .industries-mini__item img {
        width: 100%;
        object-fit: cover;
    }

    .image-container-mini {
        height: 100%;
        overflow: hidden;
    }

    .industries-mini__item h4 {
        font-family: "Inter";
        font-weight: 500;
        text-transform: uppercase;
        position: absolute;
        top: 63%;
        padding-inline: 20px;
        color: var(--color-white);
        z-index: 10;
        cursor: pointer;
    }
   
    .industries-mini__item p {
        position: absolute;
        top: 70%;
        text-shadow: rgba(0, 0, 0, 0.5) 1px 0 3px;
        line-height: 1.5em;
        padding-inline: 20px;
        color: var(--color-white);
        font-size: .8rem;
    }
    

    /*------  Reshaping Public Transportation mobile  -------*/
    
    .reshaping-public-trans-image {
        margin-top: 0px;
        padding: 0px; 
        width: 40%;
    }
    .reshaping-public-trans-image img {
        border-bottom-right-radius: 40px 40px
    }
    .reshaping-public-trans-text {
        width: 54%;
    }
    .reshaping-public-trans-text h2,
    .reshaping-public-trans-text p,
    .reshaping-public-trans-text a {
        margin-left: 20px;
    }
    .desktop-mobile-image-train {
        display: none;
    }
    .mini-tab-image-train {
        display: block;
    }
    
}









/* MEDIUM SIZE MOBILES */
@media (max-width: 576px) {
    .iot-introduction {
        padding: 30px 20px;
    }
    .iot-introduction .inline-links {
        display: block;
    }
    .iot-introduction .inline-links a {
        margin-inline: 30px;
    }
    /*----- Devices Are Smarter and More Connected Banner -----*/
    .banner {
        margin-top: 80px;
        background-image: linear-gradient(rgba(0, 0, 0, .5),rgba(0, 0, 0, .5)), url('/assets/images-v3/IoT_1.webp');
        background-position: left 25%;
        width: 100%;
        height: auto;
    }
    .banner__text {
        max-width: 1200px;
        text-align: left;
    }
    #learn-more {
        font-family: "Inter";
        font-weight: 700;
        text-transform: uppercase;
    }
    .banner__text h2 {
        padding: 40px 0px;
    }
    .banner__text p {
        padding: 10px 0px;
    }
    .banner__text-items{
        flex-direction: column;
        justify-content: flex-start;
        margin-top: 25px;
        padding-bottom: 40px;
    }
    .banner__text-items li {
        padding: 10px 0px 10px 0px;
        list-style-position: inside;
        margin-left: 0;
    }
    .banner__text-items li:nth-child(1) {
        margin-left: 0px;
    }
    /*  Gateway  */
    .gateway {
        text-align: left;
    }
    .gateway h2{
        padding: 0 0 20px;
    }

/*---  industry samples mobile grid  -----*/
    .sample-industries {display: none;}
    .sample-industries-mini {display: none;}

    .carousel__container {
        display: block;
        max-width: 600px;
        height: auto;
        width: 100%;
        padding-inline: 20px;
    }
    .slider__wrapper {
        position: relative;
    }

    .sample-industries__list {
        display: grid;
        gap: 15px;
        margin-top: 0px;
        margin-bottom: 30px;
        overflow-x: auto;
        overflow-y: hidden;
        scrollbar-width: none;
        grid-template-columns: repeat(4, 250px);
    }
    
    .carousel__container .slider__wrapper::-webkit-scrollbar {
        display: none;
    }
    
    .sample-industries__image {
        position: relative;
        width: 250px;
        height: auto;
        object-fit: center;
        
    }
    .sample-industries__list .sample-industries__content--mobile {
        position: absolute;
        top: 300px;
        left: 0;
        padding-inline: 15px;
    }
    
    
    .sample-industries__list .sample-industries__content--mobile h4 {
        text-transform: uppercase;
        font-family: "Outfit";
        font-weight: 300;
        color: var(--color-white);
        padding-bottom: 15px;
        line-height: 1.3rem;
        text-align: left;
    } 
    .sample-industries__list .sample-industries__content--mobile p {
        font-size: .9rem;
        overflow-y: hidden;
        color: var(--color-white);
        line-height: 1.3rem;
        text-align: left;
    }
    
    .carousel__container .slider__scrollbar {
        max-width: 1200px;
        height: 24px;
        width: 100%;
        display: flex;
        align-items: center;
        margin-inline: 0;
    }  
    .slider__scrollbar .scrollbar__track {
        height: 2px;
        width: 100%;
        background-color: #ccc;
        position: relative;
        border-radius: 4px;
        margin-left: 0;
        margin-right: 0;
        overflow: hidden;
    } 
    .slider__scrollbar:hover .scrollbar__track {
        height: 4px;
    } 
    .slider__scrollbar .scrollbar__thumb {
        position: absolute;
        height: 100%;
        width: 50%;
        background-color: #000;
        border-radius: inherit;
        cursor: grab;
    } 
    .slider__scrollbar .scrollbar__thumb:active {
        cursor: grabbing;
        height: 3px;
        top: 0;
    }  
    .slider__scrollbar .scrollbar__thumb::after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        top: -10px;
        bottom: -10px;
    }

    /*------  Reshaping Public Transportation mobile  IoT Page-------*/
    .title-above-image {
        display: inline-block;
        margin-top: 50px;
        text-align: left;
        padding-inline: 20px;
    }
    .title-with-text {
        display: none;
    }
    .reshaping-public-trans {
        max-width: 1500px;
        padding-block: 30px 60px;
        display: flex;
        flex-direction: column;
        gap: 0px;
    }
    .desktop-mobile-image-train {
        display: block;
    }
    .mini-tab-image-train {
        display: none;
    }
    .reshaping-public-trans h2 {
        text-align: left;
        margin-left: 0px;
    }
    .reshaping-public-trans-image {
        margin-top: 0px;
        margin-right: 20px;
        padding: 0px; 
        width: 100%;
    }
    .reshaping-public-trans-image img {
        border-radius: 0;
    }
    .reshaping-public-trans-text {
        padding-top: 30px;
        width: 100%;
    }

    .reshaping-public-trans-text h2,
    .reshaping-public-trans-text p,
    .reshaping-public-trans-text a {
        margin-inline: 20px;
    }

}


